Bug 385541 - RHEL5 cmirror tracker: unable to deactivate a mirror
RHEL5 cmirror tracker: unable to deactivate a mirror
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cmirror (Show other bugs)
5.0
All Linux
low Severity low
: rc
: ---
Assigned To: Jonathan Earl Brassow
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-15 15:40 EST by Corey Marthaler
Modified: 2010-01-11 21:05 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:26:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2007-11-15 15:40:28 EST
Description of problem:
[root@taft-03 ~]# lvs -a -o +devices
  LV                 VG         Attr   LSize  Origin Snap%  Move Log         
Copy%  Devices
  LogVol00           VolGroup00 -wi-ao 66.19G                                  
     /dev/sda2(0)
  LogVol01           VolGroup00 -wi-ao  1.94G                                  
     /dev/sda2(2118)
  mirror1            taft       mwi-a-  5.00G                    mirror1_mlog  
7.11 mirror1_mimage_0(0),mirror1_mimage_1(0)
  [mirror1_mimage_0] taft       iwi-ao  5.00G                                  
     /dev/sdb1(0)
  [mirror1_mimage_1] taft       iwi-ao  5.00G                                  
     /dev/sdb2(0)
  [mirror1_mlog]     taft       lwi-ao  4.00M                                  
     /dev/sdb5(0)
  mirror2            taft       mwi-a-  5.00G                    mirror2_mlog  
6.09 mirror2_mimage_0(0),mirror2_mimage_1(0)
  [mirror2_mimage_0] taft       iwi-ao  5.00G                                  
     /dev/sdb3(0)
  [mirror2_mimage_1] taft       iwi-ao  5.00G                                  
     /dev/sdb4(0)
  [mirror2_mlog]     taft       lwi-ao  4.00M                                  
     /dev/sdb2(1280)
[root@taft-03 ~]# lvchange -an taft/mirror1
[HANG]



[...]
Nov 15 14:39:33 taft-03 kernel: device-mapper: dm-log-clustered: Timed out
waiting for cluster log server [DM_CL]
Nov 15 14:39:33 taft-03 kernel: device-mapper: dm-log-clustered: Retrying
request [DM_CLOG_GET_RESYNC_WORK]
device-mapper: dm-log-clustered: Timed out waiting for cluster log server
[DM_CLOG_GET_RESYNC_WORK]
device-mapper: dm-log-clustered: Retrying request [DM_CLOG_GET_RESYNC_WORK]
Nov 15 14:39:38 taft-03 kernel: device-mapper: dm-log-clustered: Timed out
waiting for cluster log server [DM_CL]
Nov 15 14:39:38 taft-03 kernel: device-mapper: dm-log-clustered: Retrying
request [DM_CLOG_GET_RESYNC_WORK]
device-mapper: dm-log-clustered: Timed out waiting for cluster log server
[DM_CLOG_GET_RESYNC_WORK]
device-mapper: dm-log-clustered: Retrying request [DM_CLOG_GET_RESYNC_WORK]
[...]


Version-Release number of selected component (if applicable):
2.6.18-53.el5
cmirror-1.1.0-7
Comment 2 Corey Marthaler 2008-01-21 18:11:53 EST
Fix verified in cmirror-1.1.5-4.el5.
Comment 5 errata-xmlrpc 2009-01-20 16:26:50 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0158.html

Note You need to log in before you can comment on or make changes to this bug.